Subject: bug#56683: 29.0.50; long lines fix doesn't work correctly when lines are truncated

From: Andrey Listopadov <[email-masked]>
Date: Tue, 26 Jul 2022 07:12:08 +0000

> there has not been a single bug report about the fact that truncate-line does not work correctly with "really too long" lines in the last 20 years,

I imagine there's not that big of a percent of Emacs users who open files
with a really long lines (given the issues with these), and for all of those
there's an even smaller percent of those who use truncate-lines (and
even smaller percent of those who would submit a report, perhaps).

Overall, I'd like not to lose the ability to view long lines in such logs with truncated lines enabled, because as I've said earlier, it allows me to partially compare line to above and below ones, without scrolling. And I rarely even scroll to the right that much in such logs, as there's just way too much information to be viewed in a single horizontal line.

If, however nothing will prevent me from enabling truncating even if optimizations are in place, I'm OK with disabling truncating by default.